MXL Launcher 0.3.1

Discuss Median XL!
Just updated the launcher, when launching with Pluggy and clicking on the stash this pops up, tested on different characters.Image

EDIT: fixed it, i just installed custom font and it works
Edited by InquisitorChan 1 week.
User avatar
Unda
Onyx Knight
624 | 21
Common Love Badge
Earned over 20 cookies
Quirinus wrote:Most of all, I'm sure many will be happy to hear that PlugY now works with the Launcher!

Main features:
Added PlugY. Note: PlugY only works on SP.


Does that mean some earlier new cores policy (Marco's quote below) have changed or temporary just till Sigma release?

Marco wrote:- Our intention is the game to be run "as-is" equally for everyone. For this reason, cheats such as maphacks & resolution hacks will no longer work. D2SE and PlugY will probably still work on M2017, however they will be fully incompatible with sigma's core. For this reason, we will no longer provide support on using these with Median XL Launcher, which will be the default way to run Median 2017.


---

One feature im still missing is Play button after new patch updates are released, when you are connected to internet and opened launcher UPDATE button doesnt allow you to play without updating to new patch and you must be offline to dodge UPDATE and see PLAY button. Thats not so important but pushing you to do some unnecessary stuff like disabling net at starting Launcher.

---

Thanks for new release.
krex87
Gravedigger
191 | 7
Common Supporter Badge
Donated 1 time
in case anyone else had/has this problem.. after my xl launcher downloaded the new version i had to go into settings and click to run in windowed mode before it would launch without critical error. I had it set to launch it windowed mode before, but not through the actual xl launcher settings (iirc)
User avatar
Quirinus
Amazon Warrior
1682 | 159
Common Posting Badge
Posted over 1.000 messages
Common Popularity Badge
Has a thread with over 10.000 views
Great Love Badge
Earned over 100 cookies
Common Supporter Badge
Donated 1 time
Great Contribution Badge
Is an active forum collaborator / developer
Unda wrote:
Quirinus wrote:Most of all, I'm sure many will be happy to hear that PlugY now works with the Launcher!

Main features:
Added PlugY. Note: PlugY only works on SP.


Does that mean some earlier new cores policy (Marco's quote below) have changed or temporary just till Sigma release?

Marco wrote:- Our intention is the game to be run "as-is" equally for everyone. For this reason, cheats such as maphacks & resolution hacks will no longer work. D2SE and PlugY will probably still work on M2017, however they will be fully incompatible with sigma's core. For this reason, we will no longer provide support on using these with Median XL Launcher, which will be the default way to run Median 2017.


---

One feature im still missing is Play button after new patch updates are released, when you are connected to internet and opened launcher UPDATE button doesnt allow you to play without updating to new patch and you must be offline to dodge UPDATE and see PLAY button. Thats not so important but pushing you to do some unnecessary stuff like disabling net at starting Launcher.

---

Thanks for new release.


Cores:
No changes. We wanted to have PlugY in the Launcher from the start, but it was tricky to make it work, and I figured it out just recently, that's why I added it only now. Whist plans to add shared stash and multiple stash pages support eventually in Sigma, just not in v1.0.

Old versions:
Hah, didn't think someone was using that. You are using to to play some older version? What version (curious, since I discontinued support for pre-M2017 versions)?

I'm planning on adding a "no update" option in setting in the next version, precisely for this reason. I just didn't get around to adding it in this version.
"but if it's simple it's not that hard" - Quirinus 2017
"small things like this are not a big deal" - Quirinus 2017
User avatar
Quirinus
Amazon Warrior
1682 | 159
Common Posting Badge
Posted over 1.000 messages
Common Popularity Badge
Has a thread with over 10.000 views
Great Love Badge
Earned over 100 cookies
Common Supporter Badge
Donated 1 time
Great Contribution Badge
Is an active forum collaborator / developer
For anyone getting crashes when save & exiting on SP, uninstall any PlugY versions you installed previously, and use the one from the Launcher.
Also, PlugY doesn't work on the server (it never did). I'll probably add a warning about that in the next version.
"but if it's simple it's not that hard" - Quirinus 2017
"small things like this are not a big deal" - Quirinus 2017
User avatar
Unda
Onyx Knight
624 | 21
Common Love Badge
Earned over 20 cookies
Quirinus wrote:Cores:
No changes. We wanted to have PlugY in the Launcher from the start, but it was tricky to make it work, and I figured it out just recently, that's why I added it only now. Whist plans to add shared stash and multiple stash pages support eventually in Sigma, just not in v1.0.

Old versions:
Hah, didn't think someone was using that. You are using to to play some older version? What version (curious, since I discontinued support for pre-M2017 versions)?

I'm planning on adding a "no update" option in setting in the next version, precisely for this reason. I just didn't get around to adding it in this version.


Thanks for clarification.

Not playing pre-M2017 versions, Im sitting atm on 1.3.1 just to be able necroknifing ;) on sp (gave up this hc season on realm due to connection problems on my side) but dodged earlier also 1.2 for few days when it was released to test few things before updating, so thats why mentioned it tonight with missing Play button.